
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>建立可扩展的silverlight 应用框架 step-6：整理导航模块“LeftNav” / iVAN</title>

    <meta name="description" content="建立可扩展的silverlight 应用框架 step-6：整理导航模块“LeftNav” 首先说一下我想要实现的效果. 我希望在左侧的导航点击了以后右侧的主体部分发声变化. 之前我在LeftNav模块用的控件是ToggleButton并为其制作了样式.本来想的是自己根据 ToggleButton作为基础自己在做一个复合控件出来.不过这里做导航的话,ListBox会更加的 适合些.ListBox的样式制作和之前的ToggleButton样式制作大同小异,都是一个原则:各个 VisualStateGroup中的视图状态是可以共存的,VisualStateGroup内部的视图状态只能同时">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">建立可扩展的silverlight 应用框架 step-6：整理导航模块“LeftNav”</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>首先说一下我想要实现的效果。</p>
<p>我希望在左侧的导航点击了以后右侧的主体部分发声变化。</p>
<p>之前我在LeftNav模块用的控件是ToggleButton并为其制作了样式。本来想的是自己根据 ToggleButton作为基础自己在做一个复合控件出来。不过这里做导航的话，ListBox会更加的 适合些。ListBox的样式制作和之前的ToggleButton样式制作大同小异，都是一个原则：各个 VisualStateGroup中的视图状态是可以共存的，VisualStateGroup内部的视图状态只能同时 出现一个，尽量不要在多个VisualStateGroup同时改变同一个元素的属性。</p>
<p>下来导航模块“LeftNav”需要从外部加载导航配置文件文件"Nav.xml"，将其获得的数据 解析并于ListBox做数据绑定。要完成上诉的工作就需要引入Services模块，将各个功能分离 开、各司其职。</p>
<p>Nav.xml：</p>
<p><code>1　&lt;?xml　version="1.0"　encoding="utf-8"　?&gt;<br />
2　 &lt;root&gt;<br />
3　　　&lt;module　showname="Hello　Prism"　 xapname="OperatingTableTestModule"　 ViewType="OperatingTableTestModule.Views.HelloPrismView,　 OperatingTableTestModule,　Version=1.0.0.0"　/&gt;<br />
4　　　&lt;module　 showname="欢迎"　xapname="OTWelcomeModule"　 ViewType="OTWelcomeModule.Views.OTWelcomeView,　OTWelcomeModule,　 Version=1.0.0.0"　/&gt;<br />
5　　　&lt;module　showname="CGArt"　 xapname="OTCGArtModule"　 ViewType="OT.SL.CGArt2010.Style.Issue._31.Views.OTCGArtView,　 OT.SL.CGArt2010.Style.Issue.31,　Version=1.0.0.0"　/&gt;<br />
6　　　&lt;module　 showname="妄摄写真"　xapname="OTMosatsu"　 ViewType="OTMosatsu.Views.OTMosatsuView,　OTMosatsu,　Version=1.0.0.0"　/&gt;　 <br />
7　&lt;/root&gt;</code></p>
<p>这里先定义一个导航的实体类，“LdModule”</p>
<p><code>01　namespace　OTLeftNavModule.Entities<br />
02　{<br />
03　　　　　public　 class　LdModule<br />
04　　　　　{<br />
05　　　　　　　　　//显示名称<br />
06　　　　 　　　　　public　string　showname　{　get;　set;　}<br />
07　　　　　　　　 　//View类别<br />
08　　　　　　　　　public　string　ViewType　{　get;　set;　} <br />
09　　　　　　　　　//Module的名称<br />
10　　　　　　　　　public　string　 xapname　{　get;　set;　}<br />
11　　　　　}<br />
12　}</code></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 12:51:03</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e4%b8%80%e4%b8%aa/" title="一个">一个</a>, <a href="https://www.iamivan.net/tag/%e6%a8%a1%e5%9d%97/" title="模块">模块</a>, <a href="https://www.iamivan.net/tag/public/" title="public">public</a>, <a href="https://www.iamivan.net/tag/%e6%a0%b7%e5%bc%8f/" title="样式">样式</a>, <a href="https://www.iamivan.net/tag/%e5%af%bc%e8%88%aa/" title="导航">导航</a>, <a href="https://www.iamivan.net/tag/togglebutton/" title="togglebutton">togglebutton</a>, <a href="https://www.iamivan.net/tag/%e5%af%bc%e8%88%aa%e6%a8%a1%e5%9d%97/" title="导航模块">导航模块</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>建立可扩展的silverlight 应用框架 step-6：整理导航模块“LeftNav”的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQPP7Gz.html" rel="bookmark">建立可扩展的silverlight应用框架 step-5：整理Module</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在第三节里边,建立了一个最简单的Module.这里要对其再进行整理.之前我写过一篇&lt; 简练的视图模型 ViewModel&gt;这里就讲述了一个最最基本的运用视图与模型的例子.用模型 来控制视图的呈现在很早的时候就提出来了.当然Prism这个框架也包括了这一点.这里就要 为Module加入Model. 这里记录下整理步骤 1.在Module项目中新建立一个Models文件夹,用来存放数据模型.在文件下新建立一个 HelloPrismModel类继承自INotifyPropertyChanged. 在			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pdWeX3M.html" rel="bookmark">建立可扩展的silverlight 应用框架 step-7 final</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				建立可扩展的silverlight 应用框架 step-1 建立可扩展的silverlight 应用框架 step-2 建立可扩展的silverlight 应用框架 step-3 建立可扩展的silverlight 应用框架 step-4 建立可扩展的silverlight 应用框架 step-5 建立可扩展的silverlight 应用框架 step-6 前六节的文章已经完全的记录这个项目的开发过程,其中第5节和第6节相隔的时间比较长,这期间我翻阅了大量的Prism官方文档以及网络上的资料,其			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zGjjXlp.html" rel="bookmark">建立可扩展的silverlight应用框架 step-4</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				通过外部配置文件加载模块module 在上一节中为项目引入了&quot;Prism&quot;框架,并建立了一个Hello Prism做测试.这里要把项 目好好的整理一下.使其更加的合理和具有可扩展性. 我的目的是,在左侧的导航栏目里点击按钮,相应的右侧的主体部分显示不同的内容.这 些内容都是来自外部加载进来的xap文件.我可以上传管理自己的xap文件. 这里来看一下我的整理过程 首先将布局划分为两个部分:&quot;LeftNavRegion&quot;.&quot;MainRegion&quot;,一			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z7Xagrb.html" rel="bookmark">建立可扩展的silverlight 应用框架 step-3</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				应用架构 前边两章都是将的UI方面的知识.这里UI结构已经有了,现在要引人一个开发架构:Composite  &quot;Prism&quot;. 前期准备工作 首先在项目主页下载最新版本的Composite. http://compositewpf.codeplex.com/ http://www.microsoft.com/downloads/details.aspx?FamilyID=387c7a59-b217-4318-ad1b-cbc2ea453f40&amp;displaylang=en 我这			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MxlnVyM.html" rel="bookmark">建立可扩展的silverlight 应用框架 step-4</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				通过外部配置文件加载模块module 在上一节中为项目引入了&quot;Prism&quot;框架,并建立了一个Hello Prism做测试.这里要把项目好好的整理一下.使其更加的合理和具有可扩展性. 我的目的是,在左侧的导航栏目里点击按钮,相应的右侧的主体部分显示不同的内容.这些内容都是来自外部加载进来的xap文件.我可以上传管理自己的xap文件. 这里来看一下我的整理过程 首先将布局划分为两个部分:&quot;LeftNavRegion&quot;.&quot;MainRegion&quot;,一个来			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQ9l0Kb.html" rel="bookmark">建立可扩展的silverlight 应用框架 step-5</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				整理Module 在第三节里边,建立了一个最简单的Module.这里要对其再进行整理.之前我写过一篇&lt;简练的视图模型 ViewModel&gt;这里就讲述了一个最最基本的运用视图与模型的例子.用模型来控制视图的呈现在很早的时候就提出来了.当然Prism这个框架也包括了这一点.这里就要为Module加入Model. 这里记录下整理步骤 1.在Module项目中新建立一个Models文件夹,用来存放数据模型.在文件下新建立一个HelloPrismModel类继承自INotifyPropertyChang			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/qzDkYlp.html" rel="bookmark">建立可扩展的silverlight应用框架 step-7 final</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前六节的文章已经完全的记录这个项目的开发过程,其中第5节和第6节相隔的时间比较长 ,这期间我翻阅了大量的Prism官方文档以及网络上的资料,其实第6节的内容是很深.很连 贯的,以至于无法在一节里写完所以我只是记录了如何实现,少了为什么这样做.这里打算 另开一张详细的记录Prism框架应用. &quot;OperatingTable&quot;这个项目目前已经完成了. 预览地址:http://lab.nasawz.com/ 请打开一些流量分析的软件来观察一下. 所有的xap文件都是按需加载.并且xap文件可			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJrL46z.html" rel="bookmark">建立可扩展的silverlight 应用框架 step-1</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				&quot;本文适合silverlight界面设计师参考,程序开发人员最好也了解一下&quot; 首先来看一下需要实现的效果 这里我主要使用Grid来布局,把界面分为了三部分,头.左部.右部 好整体了解了一下布局,这里我来分布讲解. 之所以使用Grid这个布局控件是因为他能根据当前的浏览器的大小做自适应布局. 如图: 下来一步 准备一些需要用到的图片素材,现在做界面不一定都是要矢量元素,在合适的地方使用合适的素材最好.这里是我准备的一些小图片. 建立项目,在项目中建立一个assets的文件夹,把项目中用到			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/XpmBJDz.html" rel="bookmark">建立可扩展的silverlight应用框架 step-1</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				&quot;本文适合silverlight界面设计师参考,程序开发人员最好也了解一下&quot; 首先来看一下需要实现的效果			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qMqr3Yp.html" rel="bookmark" class="title">提高在google中排名计算方法</a>
					<div>
						google|排名 Google的排名运算法则主要使用了两个部分,第一个部分是它的文字内容匹配系统.Google使用该系统来发现与搜索者键入的搜索词相关的网页:第二部分也是排名运算法则中最最重要的部分 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xpnPjKb.html" rel="bookmark" class="title">为什么没有100&percnt;稳定的虚拟主机</a>
					<div>
						虚拟主机服务器,就好比你电脑的主机,就是由CPU,内存,主板,硬盘等组装起来的,电脑是每天晚上睡觉时关一下还能休息会,服务器是必须24小时不停运转的,日久老化,终久有一天总会坏的,从坏的那一刻起,服务 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vMNxvyz.html" rel="bookmark" class="title">ASP编程入门进阶（十一）：Chat 聊天程序</a>
					<div>
						编程|程序 通常的聊天室所采用的程序,也就是Chat程序了,其基本结构原理是不会采用到数据库的.那究竟采用什么技术呢?我们知道ASP变量当中Session变量的作用是记录单个用户的信息,并且能跟踪用户 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2pL40ap.html" rel="bookmark" class="title">哪种提升点击的方式是我们最好的选择</a>
					<div>
						影响网站的流量几大因素中被人最容易忽略的是点击,SEO眼里最关注的永远是排名.而关注点击的人是很少的,大家也不想想一个网站有排名没人点击那又有什么意义呢?流量依然不会流进你的网站呀,可能在这方面被一些 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YMR5kBb.html" rel="bookmark" class="title">UNIX 和 WINDOWS2000 上的 ORACLE 的差异</a>
					<div>
						oracle|unix|window     Ian Adam,          SAIC Ltd David Stien,       SAIC Ltd 翻译:Fenng          摘要  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/apXD1Lp.html" rel="bookmark" class="title">关于操作系统重装</a>
					<div>
						操作系统需要重装 首先要搞清楚的是,这里所说的&quot;重装&quot;是什么意思?其实,所谓&quot;重装&quot;,是指重新安装操作系统,从目前的实际情况出发,估计普通用户中很少会有朋友去选 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1RRerp.html" rel="bookmark" class="title">Javascript Resize和Drag类&comma;基于jQuery</a>
					<div>
						前一段时间写了一个 &quot;在线图片切割&quot;的小程序,现在将其中的Resize和Drag动作作为单独的类分离出来,与大家分享.这两个类都须要jQuery支持,但应该可以很轻松的改写出非jQ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk2eerM.html" rel="bookmark" class="title">巧妙的化解分布式拒绝服务攻击&lpar;DDoS&rpar;</a>
					<div>
						对于在线企业特别是电信运营商数据中心网络来说,分布式拒绝服务攻击(DDoS)的出现无疑是一场灾难,对于它的有效防护一直是网络应用中的一个难题. 一直以来DDoS是人们非常头疼的一个问题 ,它是一种很难 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJ7wR4b.html" rel="bookmark" class="title">Symbian手机操作系统知识扫盲篇</a>
					<div>
						智能手机行业从去年开始升温,到现在已经进入一个飞速发展的阶段.智能手机结合了强大的计算能力以及开放的软件系统,从娱乐到商业都有着优秀的表现,未来智能手机可以提供上万种应用供用户使用更是提供了无限前景. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyrEq8p.html" rel="bookmark" class="title">Fireworks组合路径功能使用方法</a>
					<div>
						  Fireworks的特点之一就是直接绘制矢量路径,其中除了可以直接运用矢量工具(钢笔.矩形及其他几何形状)绘制矢量路径外,组合路径功能运用得当,可以使对路径的操作事半功倍.这里对Fireworks ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW1aO7z.html" rel="bookmark" class="title">谷歌设计总监：ANDROID新版CHROME浏览器再设计思路总结</a>
					<div>
						  本文来自 Chrome 视觉设计负责人 Sebastien Gabriel,也是曾经和我在Google IO大会上一起交流过的朋友,看到他的新作详细描述了 Android 上的新版 Chrome  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnxqqob.html" rel="bookmark" class="title">如何打开360防火墙</a>
					<div>
						一.如何打开360木马防火墙 相信大家电脑上面都会有360安全卫士吧,如果没有,可以再官网里面进行下载.首先我们打开360安全卫士,在打开之后,我们点击该界面中的&quot;电脑体检&quot;,接着 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1Rgq9p.html" rel="bookmark" class="title">如何判断鼠标是否在DIV的区域内</a>
					<div>
						 通过mouseover,mouseout来触发事件,才判断鼠标是否在该区域. 但是这种方法的局限性就是,必须要触发mouseover,或mouseout,mouseleave事件才能知道 今天研究了 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pd6YA1b.html" rel="bookmark" class="title">如何防范黑客利用wifi攻击？</a>
					<div>
						  360无线安全专家日前介绍说,智能电视被&quot;黑&quot;祸根在wifi被破解.市面上的智能电视大多是androidtv,由于电视厂商没有对其系统源代码加入身份认证机制,一旦智能电视连接的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5NVXBz.html" rel="bookmark" class="title">asp net mvc 跨控制器-asp&period;net mvc 怎么实现跨 controller 传参数？</a>
					<div>
						问题描述 asp.net mvc 怎么实现跨 controller 传参数? 先来描述一下我的问题吧,asp.net mvc 在一个控制器的action中,有一个 list集合,要传到 另一个cont ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDWKKXp.html" rel="bookmark" class="title">线程死锁问题</a>
					<div>
						1.引言 5个哲学家的故事: 5个哲学家去吃饭,菜饭都上齐了,筷子也上了,但是一人只有一只筷子,每个人,先思考一会,把筷子借给别人,然后,别人吃完了,自己再吃.但是假如这5个人都饿了,他们就会拿起自己 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1lav3b.html" rel="bookmark" class="title">谷歌：想以隆重的方式返华，现实是难于上天</a>
					<div>
						日前,谷歌CEO桑德尔·皮查伊(Sundar Pichai)在2016年度Recode's Code会议上,谈到了重返中国大陆市场的问题.皮查伊称,他想以隆重的方式重返中国大陆,但会&quot;深思熟 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze6dNNb.html" rel="bookmark" class="title">直击谷歌启用在英国伦敦的新总部</a>
					<div>
						    每个人都希望自己工作环境既美好又无压力,而目前所有工程师最想工作的莫过于 Google 以及 Apple ,两者皆提供最新且最为舒适的工作环境与福利,而 Google 也经常的放出各地办公室的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRqRrxb.html" rel="bookmark" class="title">编程-关于C&num;使用OleDbCommand对sql server数据库进行操作的问题</a>
					<div>
						问题描述 关于C#使用OleDbCommand对sql server数据库进行操作的问题 有个编程作业是要模拟一个ATM机,我用vs2013来编写的,sql server版本是2012 数据库ATM中 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pm6LmDz.html" rel="bookmark" class="title">xml-asp&period;net  如何读取 这样的XML  取得它的loginname和realname</a>
					<div>
						问题描述 asp.net 如何读取 这样的XML 取得它的loginname和realname &lt;cas:serviceResponse xmlns:cas='http://www.yale.e ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2P5jrp.html" rel="bookmark" class="title">集成3&period;0demo的UI崩溃</a>
					<div>
						问题描述 设置语言消息动态图片的代码崩溃,如下图: 解决方案 更改此段代码的设置方式即可:NSArray *array = [[NSArray alloc]initWithObjects:[UIIma ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKYYDWp.html" rel="bookmark" class="title">关于java socket  编程的问题  谢谢</a>
					<div>
						问题描述 客户端代码为:publicvoidrelationship_actionPerformed(ActionEvente)throwsException{Sockets=newSocket(&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB1XkJz.html" rel="bookmark" class="title">javaee-javaEE小白，hibernate工程运行时出错</a>
					<div>
						问题描述 javaEE小白,hibernate工程运行时出错 想要实现一个学生教务管理系统,首先提供一个登陆页面,输入账号与密码,跳转到登录成功界面,输入账号密码后点击登录出错 解决方案 你在配置文件 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlKY4Rb.html" rel="bookmark" class="title">破解不了，救助ComponentOne&period;Studio&period;Enterprise&period;2013&period;V3</a>
					<div>
						问题描述 下载了ComponentOne.Studio.Enterprise.2013.V3,但是要激活,在CSDN上下的注册机都不能用,提示注册码已被激活过,为什么评论里都说能用?求解,怎么破解C1 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEKQx9p.html" rel="bookmark" class="title">插件-php 读取音频文件 然后在js显示播放！</a>
					<div>
						问题描述 php 读取音频文件 然后在js显示播放! 如题!php 读取音频文件 然后在js显示播放!各位大神帮忙解答,网上搜到又说用插件geiID3什么的,我还不死心想知道能不能有不需要插件然后读出 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGZKd3p.html" rel="bookmark" class="title">你的 Java 代码对 JIT 编译友好么？</a>
					<div>
						JIT编译器是Java虚拟机(以下简称JVM)中效率最高并且最重要的组成部分之一.但是很多的程序并没有充分利用JIT的高性能优化能力,很多开发者甚至也并不清楚他们的程序有效利用JIT的程度. 在本文中 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDnGVWM.html" rel="bookmark" class="title">机器能预报多久后的天气？&mdash;&mdash;机器学习和可预报性</a>
					<div>
						方法论: predictability measure: decorrelation time Eulerian persistence  &amp;  Lagrangian persistence  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3JgKkz.html" rel="bookmark" class="title">红帽公司推出最新版本 BPM 管理套件</a>
					<div>
						红帽公司在2012年收购了Polymita,因此强化了业务流程管理软件套件功能,让其拥有BPM(业务流程管理)市场可选性最强.最具吸引力的套件产品. &quot;利用Polymita技术,可以让我们更 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvYrVVb.html" rel="bookmark" class="title">javascript事件冒泡实例分析&lowbar;javascript技巧</a>
					<div>
						本文实例讲述了javascript事件冒泡.分享给大家供大家参考.具体分析如下: 事件冒泡:  如果元素A嵌套在元素B中,那么A被点击不仅A的onclick事件会被触发,B的onclick也会被触发, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boLKKBM.html" rel="bookmark" class="title">CSS&plus;div网页制作PS切图攻略</a>
					<div>
						认识Photoshop(PS)CSS切图必用工具 Adobe PHOTOSHOP平时我们又被称为PS.   div CSS必备切图工具PS截图 多数人对于PHOTOSHOP的了解仅限于&quot;一个 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.025 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
